## org.red5.io.mp4
Class MP4Atom.Record

    java.lang.Object
      org.red5.io.mp4.MP4Atom.Record

Enclosing class:
  MP4Atom

    public static class MP4Atom.Record

extends Object

Constructor Summary
`MP4Atom.Record(int firstChunk, int samplesPerChunk, int sampleDescriptionIndex)`

Method Summary
`int` `getFirstChunk()`
`int` `getSampleDescriptionIndex()`
`int` `getSamplesPerChunk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MP4Atom.Record

    public MP4Atom.Record(int firstChunk,
                          int samplesPerChunk,
                          int sampleDescriptionIndex)

Method Detail

### getFirstChunk

    public int getFirstChunk()

### getSamplesPerChunk

    public int getSamplesPerChunk()

### getSampleDescriptionIndex

    public int getSampleDescriptionIndex()

Copyright © 2006-2010 The Red5 Project